summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo <willysr@slackbuilds.org>2013-11-16 07:33:57 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2013-11-16 07:33:57 +0700
commitdfea8adafa13dc6881be708f72a9e9293e9dedc2 (patch)
tree506d0c4b984bf15c5f1198de893d704da63221ff /development
parent5d46ce0265ae5e8fc06ea978ac888f527d22e39b (diff)
downloadslackbuilds-dfea8adafa13dc6881be708f72a9e9293e9dedc2.tar.gz
slackbuilds-dfea8adafa13dc6881be708f72a9e9293e9dedc2.tar.xz
development/gprolog: Force using -j1
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/gprolog/gprolog.SlackBuild16
1 files changed, 7 insertions, 9 deletions
diff --git a/development/gprolog/gprolog.SlackBuild b/development/gprolog/gprolog.SlackBuild
index 43023c7dd9..41769a1b08 100644
--- a/development/gprolog/gprolog.SlackBuild
+++ b/development/gprolog/gprolog.SlackBuild
@@ -8,12 +8,10 @@ VERSION=${VERSION:-1.3.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -37,7 +35,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -46,11 +44,11 @@ rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
-find . \
- \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
# gprolog seems to ignore the default SlackBuild configure options
# and installs itself into $prefix/gprolog-$VERSION
@@ -64,7 +62,7 @@ CXXFLAGS="$SLKCFLAGS" \
--build=$ARCH-slackware-linux
# Compile the application and install it into the $PKG directory
-make
+make -j1
make install DESTDIR=$PKG
# Correct gprolog's installation dirs